/*
 * Programming in Java, Jacobs University, 2015
 *
 * A simple program that fetches URLs given on the command line and
 * which allows us to read the header information associated with the
 * response.
 */

import java.net.URL;
import java.net.URLConnection;
import java.net.MalformedURLException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.BufferedReader;
import java.io.IOException;
import java.time.Instant;

public class C
{
    public static void main(String args[])
	throws MalformedURLException, IOException
    {
	for (String arg: args) {
	    URL url = new URL(arg);
	    URLConnection con = url.openConnection();
	    con.connect();
	    System.out.println("Date:\t\t"
		       + Instant.ofEpochSecond(con.getDate()/1000));
	    System.out.println("Content-Type:\t" + con.getContentType());
	    System.out.println("Content-Length:\t" + con.getContentLength());
	    System.out.println("Last-Modified:\t"
		       + Instant.ofEpochSecond(con.getLastModified()/1000));
	    System.out.println("");

	    InputStream ins = con.getInputStream();
	    BufferedReader in = new BufferedReader(new InputStreamReader(ins));

	    while (true) {
		String line = in.readLine();
		if (line == null) break;
		System.out.println(line);
	    }
	}
    }
}
